Bug 967348 - Packstack use wrong sql_connection for quantum in OVS plugin file
Packstack use wrong sql_connection for quantum in OVS plugin file
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
Unspecified Unspecified
medium Severity medium
: snapshot2
: 3.0
Assigned To: Terry Wilson
Ofer Blaut
Depends On:
  Show dependency treegraph
Reported: 2013-05-26 15:07 EDT by Ofer Blaut
Modified: 2016-04-26 16:03 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.1.1-0.8.dev601
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-11 14:53:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 30809 None None None Never

  None (edit)
Description Ofer Blaut 2013-05-26 15:07:42 EDT
Description of problem:

packstack use wrong sql connnection in OVS plugin file 
It use ;

sql_connection = mysql://quantum:50d711d8e1714ea0@

instead of:

sql_connection = mysql://quantum:quantum@puma10.scl.lab.tlv.redhat.com/ovs_quantum

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install setup with packstack and quanutm + OVS
2. Check OVS plugin file and check the format of sql_connection

Actual results:

Expected results:

Additional info:
Comment 3 Terry Wilson 2013-05-28 18:16:19 EDT
This isn't necessarily a bug as the name of the database doesn't really matter. 'quantum' is the default database name in the upstream quantum puppet module, so we just went with that.

With that said, the old setup scripts used ovs_quantum as the database name as does devstack. So, modifying the default to match that doesn't seem like a bad idea. Of course, if we do change this it could lead to someone installing with the version before this change went in, then adding a node later which would get the wrong database name.

IMHO, we go ahead and make the change right now. I'll go ahead and do it and post something for review. Shouldn't take long and if we decide not to make the change, it won't be much time wasted.
Comment 6 Nir Magnezi 2013-06-04 07:20:39 EDT
For Verification purposes, Please attach the answers file you used.
Alternatively, you can just list all Quantum related values you used.
Comment 7 Ofer Blaut 2013-06-06 16:50:32 EDT
Now it works correctly 

# sql_connection = mysql://root:nova@
sql_connection = mysql://quantum:PASSWROD@

openstack-packstack-2013.1.1-0.10.dev605.el6ost.noarch is the ip used in answer file
Comment 8 errata-xmlrpc 2013-06-11 14:53:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.